List Space Features
List space features
This endpoint retrieves the list of features for the specified space. Currently, the only feature on spaces is the SSH feature.
Request
URI
GET
https://api.example.local/v3/spaces/{guid}/features
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
Returns
SpaceFeature
of type(s)
application/json
{
"name": "string",
"description": "string",
"enabled": false
}
string
name
Optional
name
string
description
Optional
description
boolean
enabled
Optional
enabled
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/spaces/{guid}/features
Spaces Operations
GET
List Spaces
POST
Create Space
GET
Get Space
PATCH
Update Space
DELETE
Delete Space
POST
Apply Manifest To Space
GET
List Space Features
GET
Get Space Feature
PATCH
Update Space Feature
POST
Create Manifest Diff For Space
GET
Get Assigned Isolation Segment For Space
PATCH
Manage Isolation Segment For Space
DELETE
Delete Unmapped Routes For Space
GET
List Running Security Groups For Space
GET
List Staging Security Groups For Space
GET
List Users For Space